// This is a single line comment

/* This is a
   *multi-line comment*
   just like in CSS
*/


/* The document.ready() function prevents your script from trying to
   act on elements that haven't been created yet, if the page takes a
   long time to load. You should *always* wrap all of your code in a
   document.ready function.
*/

// Don't forget to close this function on the last line!
$(document).ready(function() {

	// You can write output to the console while you're testing code.
	// If your script isn't working right, try putting console messages
	// on a few lines. This can help you quickly identify how far your
	// script gets before something goes wrong.



	// You can make annoying popup messages using alert();



	// Animation 1
	// A simple, built-in jQuery method for toggling the visibility of
	// an element. If you know how to target elements in CSS, you
	// already know how to target them in jQuery.

	// The API documentation will show what options a method
	// accepts. Square brackets means an option can be omitted and
	// a default value will be used.
	// .slideToggle( [ duration ] [, easing ] [, complete ] )



	// Animation 2
	// A lower level custom animation. For something like this, we have
	// to keep track of the state of the element ourselves. We can do
	// this using a variable, by toggling a CSS class, or by directly
	// checking what properties an element currently has. We'll use a
	// variable for this one.

	// Note that if we were grabbing onto a link (<a>) not a <button>, we
	// would need to prevent the default link behavior
	// $('.animate button').click(function(e) {
	//     e.preventDefault();
	// ...
//	let isFaded = false;
	$('.animate button').click(function() {



//		if (isFaded == true) {
//			$('.animate .box')
//				.stop()
//				.animate({opacity: 1, width: '300px'}, {duration: 400, queue: false});
//			isFaded = false;
//			console.log( "isFaded == " + isFaded );
//		} else {
//			$('.animate .box')
//				.stop()
//				.animate({opacity: 0.3}, 400)
//				.animate({width: '90%'}, 1200, 'easeOutBounce');
//			isFaded = true;
//			console.log( "isFaded == " + isFaded );
//		}

	});



	// Animation 3
	// A simple on/off switch with a CSS class. Toggles a CSS class
	// using jQuery, and the animation part happens in CSS. This method
	// is simple, clean, and performant.

	
});
